#!/bin/sh

# Stop services
/etc/init.d/payloadctl stop || true
/etc/init.d/payloadsrv stop || true
/etc/init.d/skyhub stop || true
/etc/init.d/skyhubsrv stop || true
sleep 5

# Remove previous versions
update-rc.d -f gprd remove
update-rc.d -f payloadctl remove
update-rc.d -f payloadsrv remove
update-rc.d -f skyhub remove
update-rc.d -f skyhubsrv remove
update-rc.d -f busybox-httpd remove
update-rc.d -f web-server remove

# Remove from /usr/local/bin
rm -f /usr/local/bin/skyhub*
rm -f /usr/local/bin/payload*
rm -f /usr/local/bin/*.conf
rm -f /usr/local/bin/*-system.log
rm -f /usr/local/bin/*-position.csv
rm -f /usr/local/bin/*-nmea.txt
rm -f /usr/local/bin/*.sgy
rm -f /usr/local/bin/*.raw

# Remove from /usr/local/lib
rm -rf /usr/local/lib/plugins
rm -rf /usr/local/lib/skyhub

# Move serial number to independed directory
SERIAL_DIR=/tmp/serial_number
mkdir -p $SERIAL_DIR
if [ -f /etc/payloadctl/serial ]; then
	mv /etc/payloadctl/serial $SERIAL_DIR
fi

if [ -f /etc/skyhub/serial_number ]; then
	mv /etc/skyhub/serial_number $SERIAL_DIR
fi

# Remove from /etc
rm -f /home/root/gprd
rm -f /etc/init.d/payload*
rm -f /etc/init.d/skyhub*
rm -rf /etc/payloadctl/*
rm -rf /etc/skyhub/*

# Restore serial nuber for backward compatibility
cp $SERIAL_DIR/serial /etc/payloadctl/
cp $SERIAL_DIR/serial_number /etc/skyhub/
rm -rf $SERIAL_DIR
